## udm 1.0.0.322

=== debian/changelog ===
udm (1.0.0.322-4) unstable; urgency=medium

  * fix FTBFS (due to upload of new version of lazarus)
    (the solution leaves room for improvement)
    (Closes: #1036257)

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 23 May 2023 17:43:07 +0200

udm (1.0.0.322-3) unstable; urgency=medium

  * add patch to use correct path for file installation

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 06 Feb 2023 22:43:07 +0100

udm (1.0.0.322-2) unstable; urgency=medium

  * source upload

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 06 Feb 2023 17:43:07 +0100

udm (1.0.0.322-1) unstable; urgency=medium

  * initial release

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 05 Nov 2022 01:43:07 +0100
