=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export HOME=$(CURDIR)/tmphome

%:
	dh $@

override_dh_auto_build:
	# this looks awfull and I hope there is a better solution
	#  but at the moment at least the package builds
	mkdir $(HOME)
	echo "#INCLUDE /etc/fpc.cfg" > $(HOME)/.fpc.cfg
	echo "-dLCLGTK2" >> $(HOME)/.fpc.cfg
	echo "-Fu/usr/lib/lazarus/2.2.6/components/lazutils/lib/x86_64-linux" >> $(HOME)/.fpc.cfg
	echo "-Fu/usr/lib/lazarus/2.2.6/packager/units/x86_64-linux" >> $(HOME)/.fpc.cfg
	echo "-Fu/usr/lib/lazarus/2.2.6/lcl/units/x86_64-linux" >> $(HOME)/.fpc.cfg
	echo "-Fu/usr/lib/lazarus/2.2.6/components/ideintf/units/x86_64-linux/gtk2/" >> $(HOME)/.fpc.cfg
	echo "-Fu/usr/lib/lazarus/2.2.6/components/lazcontrols/lib/x86_64-linux/gtk2/" >> $(HOME)/.fpc.cfg
	echo "-Fu/usr/lib/lazarus/2.2.6/components/synedit/units/x86_64-linux/gtk2/" >> $(HOME)/.fpc.cfg
	echo "-Fu/usr/lib/lazarus/2.2.6/components/tachart/lib/x86_64-linux/gtk2/" >> $(HOME)/.fpc.cfg
	echo "-Fu/usr/lib/lazarus/2.2.6/components/printers/lib/x86_64-linux/gtk2/" >> $(HOME)/.fpc.cfg
	echo "-Fu/usr/lib/lazarus/2.2.6/components/cairocanvas/lib/x86_64-linux/gtk2/" >> $(HOME)/.fpc.cfg
	echo "-Fu/usr/lib/lazarus/2.2.6/lcl/units/x86_64-linux/gtk2/" >> $(HOME)/.fpc.cfg
	
	ln -s /usr/lib/lazarus/2.2.6/components/freetype/ttcalc4.inc
	ln -s /usr/lib/lazarus/2.2.6/components/freetype/ttconfig.inc
	ln -s /usr/lib/lazarus/2.2.6/components/freetype/ttraster_sweep.inc
	
	ln -s /usr/lib/lazarus/2.2.6/components/opengl/openglcontext.res
	
	ln -s /usr/lib/lazarus/2.2.6/components/buildintf/ideoptionsintf.pas
	ln -s /usr/lib/lazarus/2.2.6/components/buildintf/baseideintf.pas
	ln -s /usr/lib/lazarus/2.2.6/components/buildintf/macrointf.pas
	ln -s /usr/lib/lazarus/2.2.6/components/buildintf/macrodefintf.pas
	ln -s /usr/lib/lazarus/2.2.6/components/buildintf/compoptsintf.pas
	ln -s /usr/lib/lazarus/2.2.6/components/buildintf/projectintf.pas
	ln -s /usr/lib/lazarus/2.2.6/components/buildintf/newitemintf.pas
	ln -s /usr/lib/lazarus/2.2.6/components/buildintf/projpackintf.pas
	ln -s /usr/lib/lazarus/2.2.6/components/buildintf/buildstrconsts.pas
	ln -s /usr/lib/lazarus/2.2.6/components/buildintf/ideexterntoolintf.pas
	ln -s /usr/lib/lazarus/2.2.6/components/buildintf/lazmsgworker.pas
	ln -s /usr/lib/lazarus/2.2.6/components/opengl/openglcontext.pas
	ln -s /usr/lib/lazarus/2.2.6/components/opengl/glgtkglxcontext.pas
	ln -s /usr/lib/lazarus/2.2.6/components/opengl/lazopenglcontext.pas
	ln -s /usr/lib/lazarus/2.2.6/components/freetype/easylazfreetype.pas
	ln -s /usr/lib/lazarus/2.2.6/components/freetype/lazfreetype.pas
	ln -s /usr/lib/lazarus/2.2.6/components/freetype/tttypes.pas
	ln -s /usr/lib/lazarus/2.2.6/components/freetype/tterror.pas
	ln -s /usr/lib/lazarus/2.2.6/components/freetype/ttcalc4.pas
	ln -s /usr/lib/lazarus/2.2.6/components/freetype/ttcalc.pas
	ln -s /usr/lib/lazarus/2.2.6/components/freetype/ttmemory.pas
	ln -s /usr/lib/lazarus/2.2.6/components/freetype/tttables.pas
	ln -s /usr/lib/lazarus/2.2.6/components/freetype/ttcache.pas
	ln -s /usr/lib/lazarus/2.2.6/components/freetype/ttfile.pas
	ln -s /usr/lib/lazarus/2.2.6/components/freetype/ttcmap.pas
	ln -s /usr/lib/lazarus/2.2.6/components/freetype/ttobjs.pas
	ln -s /usr/lib/lazarus/2.2.6/components/freetype/ttload.pas
	ln -s /usr/lib/lazarus/2.2.6/components/freetype/ttinterp.pas
	ln -s /usr/lib/lazarus/2.2.6/components/freetype/ttgload.pas
	ln -s /usr/lib/lazarus/2.2.6/components/freetype/ttkern.pas
	ln -s /usr/lib/lazarus/2.2.6/components/freetype/ttraster.pas
	ln -s /usr/lib/lazarus/2.2.6/components/freetype/ttprofile.pas
	ln -s /usr/lib/lazarus/2.2.6/components/freetype/lazfreetypefontcollection.pas

	lazbuild --widgetset=gtk2 -B udm.lpi
	lazbuild --widgetset=gtk2 -B udmc.lpi
	find

override_dh_clean:
	rm -rf $(HOME)
	dh_clean
