## udm 1.0.0.337

=== debian/changelog ===
udm (1.0.0.337-1) unstable; urgency=medium

  * New upstream release.
  * finally apply patch to build with any version of lazarus
    (thanks to Abou Al Montacir for the patch)
    (Closes: #106093, #1049723, #1047356)
    (at least the reasons for the build-after-bugs are gone, maybe others
     are still there)
  * debian/control: move to debian-astro team and update VCS URLs

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 17 Jan 2024 23:43:07 +0100
