=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: udm
 Section: science
 Priority: optional
-#Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
-#Uploaders: Thorsten Alteholz <debian@alteholz.de>
-Maintainer: Thorsten Alteholz <debian@alteholz.de>
+Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
+Uploaders: Thorsten Alteholz <debian@alteholz.de>
 Build-Depends: debhelper-compat (= 13)
 	, lazarus-src
 	, fpc
@@ -16,8 +15,8 @@
 Standards-Version: 4.6.2
 Homepage: http://unihedron.com/
 Rules-Requires-Root: no
-#Vcs-Browser: https://salsa.debian.org/debian-astro-team/unihedron-device-manager
-#Vcs-Git: https://salsa.debian.org/debian-astro-team/unihedron-device-manager.git
+Vcs-Browser: https://salsa.debian.org/debian-astro-team/udm
+Vcs-Git: https://salsa.debian.org/debian-astro-team/udm.git
 
 Package: unihedron-device-manager
 Architecture: amd64
