## udm 1.0.0.352

=== debian/changelog ===
udm (1.0.0.352-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: bump standard to 4.7.2 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 11 Oct 2025 19:44:06 +0200
