=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 	, lcl-gtk2
 	, fp-units-misc
 	, libgl-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: http://unihedron.com/
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/udm
