=== debian/rules ===
--- 
+++ 
@@ -66,7 +66,7 @@
 #	ln -s /usr/lib/lazarus/2.2.6/components/freetype/ttprofile.pas
 #	ln -s /usr/lib/lazarus/2.2.6/components/freetype/lazfreetypefontcollection.pas
 
-	lazbuild --widgetset=gtk2 -B udm.lpi
+#XXX	lazbuild --widgetset=gtk2 -B udm.lpi
 	lazbuild --widgetset=gtk2 -B udmc.lpi
 	find
