=== debian/watch ===
version=4
http://unihedron.com/projects/darksky/cd/udm/udm_(.+).tgz debian uupdate
