## udm 1.0.0.352%2Bdfsg

=== debian/control ===
Source: udm
Section: science
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, lazarus-src
	, fpc
	, lcl-utils
	, lcl
	, lcl-units
	, lcl-qt5
	, fp-units-misc
	, libgl-dev
Standards-Version: 4.7.3
Homepage: https://unihedron.com/
Vcs-Browser: https://salsa.debian.org/debian-astro-team/udm
Vcs-Git: https://salsa.debian.org/debian-astro-team/udm.git

Package: unihedron-device-manager
Architecture: amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Description: Unihedron Device manager (UDM)
 The Unihedron Device Manager (UDM) program is intended for use in maintaining
 and testing the Unihedron connected Sky Quality Meter products.
 It is used to:
  - Read version information.
  - Request readings.
  - Read and set calibration data.
  - Read and set all other meter parameters.
  - Setup and retrieve data from datalogging meters.
  - Continuously log data from connected meters.
