## udm 1.0.0.352+dfsg

=== debian/changelog ===
udm (1.0.0.352+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Fix clean target. Closes: #1047356, #1049723.
  * Fix typo in changelog entry for version 1.0.0.337-1.
  * Drop "Rules-Requires-Root: no" (default).
  * Drop "Priority: optional" (default).
  * Update standards-version.
  * Use secure URI in Homepage field.
  * Use secure URI in watch file.
  * Drop unused lintian overrides.
  * Add debian/salsa-ci.yml.

 -- Santiago Vila <sanvila@debian.org>  Tue, 17 Feb 2026 20:10:00 +0100

udm (1.0.0.352+dfsg-1) unstable; urgency=medium

  * Team upload
  * Build with Qt5 (Closes: #1125319)
  * Drop binaries

 -- Bastian Germann <bage@debian.org>  Fri, 06 Feb 2026 12:14:18 +0100
