=== debian/rules ===
--- 
+++ 
@@ -66,8 +66,8 @@
 #	ln -s /usr/lib/lazarus/2.2.6/components/freetype/ttprofile.pas
 #	ln -s /usr/lib/lazarus/2.2.6/components/freetype/lazfreetypefontcollection.pas
 
-#XXX	lazbuild --widgetset=gtk2 -B udm.lpi
-	lazbuild --widgetset=gtk2 -B udmc.lpi
+	lazbuild --widgetset=qt5 -B udm.lpi
+	lazbuild --widgetset=qt5 -B udmc.lpi
 	find
 
 override_dh_clean:
