=== debian/watch ===
version=4
opts=repacksuffix=+dfsg,dversionmangle=auto \
https://unihedron.com/projects/darksky/cd/udm/udm_(.+).tgz debian uupdate
